﻿using System;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace RadDateTimePicketWPF_1059263
{
    public class WeekendsButtonsStyleSelector : StyleSelector
    {
        public Style WeekendDaysStyle { get; set; }

        public override System.Windows.Style SelectStyle(object item, System.Windows.DependencyObject container)
        {
            CalendarButtonContent content = item as CalendarButtonContent;

            if ((content.ButtonType == CalendarButtonType.Date || content.ButtonType == CalendarButtonType.TodayDate) &&
                (content.Date.DayOfWeek == DayOfWeek.Saturday || content.Date.DayOfWeek == DayOfWeek.Sunday))
            {
                content.IsEnabled = false;
                return WeekendDaysStyle;
            }

            return base.SelectStyle(item, container);
        }
    }
}
